using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Pdf;

namespace EssentialPDFSamples
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button button1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.button1 = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(88, 24);
			this.button1.Name = "button1";
			this.button1.TabIndex = 0;
			this.button1.Text = "PDF";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(264, 78);
			this.Controls.Add(this.button1);
			this.Name = "Form1";
			this.Text = "Essential PDF Sample";
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void button1_Click(object sender, System.EventArgs e)
		{  
			//Setting the Cursor in Wait Mode.
			this.Cursor = Cursors.WaitCursor;

            //Create a new PDF Document. The pdfDoc object represents the PDF document.
			//This document has one page by default and additional pages have to be added.
			PDFDocument pdfDoc = new PDFDocument();
			pdfDoc.AutoCreatePages = true;

			//Adding a font that can be used to draw Text inside the PDF document.
			//Using the Predefined fonts to draw the text. 
			IPDFFont pdfFont = pdfDoc.Fonts.Add(FontBaseFamily.Courier);
			pdfFont.Size = 12;

			//IPDFGraphicState is used for setting properties of all drawing objects.
			IPDFGraphicState props = pdfDoc.CreateGraphicState();
			props.BreakBehavior = AutoBreakBehavior.MultiLineTextBreak;

			//Insert Text into the pdf Document.
			System.IO.StreamReader myFile = new System.IO.StreamReader(@"..\..\..\Data\SampleText.txt", System.Text.Encoding.ASCII);
            string novel = myFile.ReadToEnd();

			//Measure string and set the width.
			SizeF sizeOfText = pdfDoc.Graphics.MeasureString(novel, pdfFont, (float)(pdfDoc.LastPage.DrawingWidth), props);
            RectangleF Rect = new RectangleF(new PointF(0, 0), sizeOfText);

			//Write the string[DrawMultiText - Draws string text, that is enclosed into specified boundarires]
			pdfDoc.LastPage.Graphics.DrawMultiText(Rect, novel, pdfFont, props);

            //Save the PDF Document to disk.
			pdfDoc.Save("Sample.pdf");

			//Setting the Cursor in Arrow mode.
			this.Cursor = Cursors.Arrow;

            //Message box confirmation to view the created PDF document.
			if (MessageBox.Show ("Do you want to view the PDF file?", "PDF File Created",
				MessageBoxButtons.YesNo, MessageBoxIcon.Information)
				== DialogResult.Yes) 
			{
				//Launching the PDF file using the default Application.[Acrobat Reader]
				System.Diagnostics.Process.Start("Sample.pdf");
				
			}
			else
			{
				// Exit
				this.Close();
			}
		

      
		}
	}
}
