Imports Microsoft.VisualBasic
Imports System
Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data
Imports Syncfusion.Pdf

Namespace EssentialPDFSamples
	''' <summary>
	''' Summary description for Form1.
	''' </summary>
	Public Class Form1 : Inherits System.Windows.Forms.Form
		Private WithEvents button1 As System.Windows.Forms.Button
		''' <summary>
		''' Required designer variable.
		''' </summary>
		Private components As System.ComponentModel.Container = Nothing

		Public Sub New()
			'
			' Required for Windows Form Designer support
			'
			InitializeComponent()

			'
			' TODO: Add any constructor code after InitializeComponent call
			'
		End Sub

		''' <summary>
		''' Clean up any resources being used.
		''' </summary>
		Protected Overrides Overloads Sub Dispose(ByVal disposing As Boolean)
			If disposing Then
				If Not components Is Nothing Then
					components.Dispose()
				End If
			End If
			MyBase.Dispose(disposing)
		End Sub

		#Region "Windows Form Designer generated code"
		''' <summary>
		''' Required method for Designer support - do not modify
		''' the contents of this method with the code editor.
		''' </summary>
		Private Sub InitializeComponent()
			Me.button1 = New System.Windows.Forms.Button()
			Me.SuspendLayout()
			' 
			' button1
			' 
			Me.button1.Location = New System.Drawing.Point(88, 24)
			Me.button1.Name = "button1"
			Me.button1.TabIndex = 0
			Me.button1.Text = "PDF"
'			Me.button1.Click += New System.EventHandler(Me.button1_Click);
			' 
			' Form1
			' 
			Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
			Me.ClientSize = New System.Drawing.Size(264, 78)
			Me.Controls.Add(Me.button1)
			Me.Name = "Form1"
			Me.Text = "Essential PDF Sample"
			Me.ResumeLayout(False)

		End Sub
		#End Region

		''' <summary>
		''' The main entry point for the application.
		''' </summary>
		<STAThread> _
		Shared Sub Main()
			Application.Run(New Form1())
		End Sub

		Private Sub button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles button1.Click
            'Setting the Cursor in Wait Mode.
			Me.Cursor = Cursors.WaitCursor

			'Create a new PDF Document. The pdfDoc object represents the PDF document.
			'This document has one page by default and additional pages have to be added.
            Dim pdfDoc As PDFDocument = New PDFDocument

            'To create pages automatically.
			pdfDoc.AutoCreatePages = True

			'Adding a font that can be used to draw Text inside the PDF document.
			'Using the Predefined fonts to draw the text. 
            Dim pdfFont As IPDFFont = pdfDoc.Fonts.Add(FontBaseFamily.Courier)
            pdfFont.Size = 12

			'IPDFGraphicState is used for setting properties of all drawing objects.
			Dim props As IPDFGraphicState = pdfDoc.CreateGraphicState()
			props.BreakBehavior = AutoBreakBehavior.MultiLineTextBreak

			'Insert Text into the pdf Document.
            Dim myFile As System.IO.StreamReader = New System.IO.StreamReader("..\..\..\Data\SampleText.txt", System.Text.Encoding.ASCII)
			Dim novel As String = myFile.ReadToEnd()

			'Measure string and set the width.
            Dim sizeOfText As SizeF = pdfDoc.Graphics.MeasureString(novel, pdfFont, CSng(pdfDoc.LastPage.DrawingWidth), props)
			Dim Rect As RectangleF = New RectangleF(New PointF(0, 0), sizeOfText)

			'Write the string[DrawMultiText - Draws string text, that is enclosed into specified boundarires]
            pdfDoc.LastPage.Graphics.DrawMultiText(Rect, novel, pdfFont, props)

			'Save the PDF Document to disk.
            pdfDoc.Save("Sample.pdf")

            'Setting the Cursor in Arrow mode.
            Me.Cursor = Cursors.Arrow

			'Message box confirmation to view the created PDF document.
			If MessageBox.Show ("Do you want to view the PDF file?", "PDF File Created", MessageBoxButtons.YesNo, MessageBoxIcon.Information) = DialogResult.Yes Then
				'Launching the PDF file using the default Application.[Acrobat Reader]
				System.Diagnostics.Process.Start("Sample.pdf")
				
			Else
				' Exit
				Me.Close()
			End If
        End Sub
    End Class
End Namespace
